Bug 54815 - ports/textproc/p5-XML-Twig dependancy fix
Summary: ports/textproc/p5-XML-Twig dependancy fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johann Visagie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-24 16:30 UTC by tjs
Modified: 2003-11-04 05:30 UTC (History)
0 users

See Also:


Attachments
file.diff (107 bytes, patch)
2003-07-24 16:30 UTC, tjs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tjs 2003-07-24 16:30:27 UTC
	tuples of other ports this package depends to "build" stages

Fix: 

# On Perl < 5.8.0, XML::Twig has a further optional dependency on WeakRef.
 # However, WeakRef needs Perl 5.005_55.
-RUN_DEPENDS=
${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Text/Iconv.pm:${PORTSDIR}/converters/p5-Text-Iconv
\
+BUILD_DEPENDS=
${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Text/Iconv.pm:${PORTSDIR}/converters/p5-Text-Iconv
\

${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/XML/Parser.pm:${PORTSDIR}/textproc/p5-XML-Parser

 PERL_CONFIGURE=        YES--wJYdsQfYufDZ6bYDuZRyVGGpHLkIwBhjIQ8izH27Wm3iTHZJ
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN Makefile.orig Makefile
How-To-Repeat: 
	On the box, make, then you will see it.

===>  Extracting for p5-XML-Twig-3.09
Comment 1 Erwin Lansing freebsd_committer 2003-07-25 08:43:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wjv

Over to maintainer
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2003-11-04 05:29:57 UTC
State Changed
From-To: open->closed

Committed, thanks (maintainer currently reports ENOTIME).